Result
Date: 2015-09-17

org.easymock.internal

## Class Result

- java.lang.Object
- - org.easymock.internal.Result

- All Implemented Interfaces:
    java.io.Serializable, IAnswer<java.lang.Object>

      public final class Result
      extends java.lang.Object
      implements IAnswer<java.lang.Object>, java.io.Serializable

  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `answer()` Is called by EasyMock to answer an expected call.
    `static Result` | `createAnswerResult(IAnswer<?> answer)`
    `static Result` | `createDelegatingResult(java.lang.Object value)`
    `static Result` | `createReturnResult(java.lang.Object value)`
    `static Result` | `createThrowResult(java.lang.Throwable throwable)`
    `boolean` | `shouldFillInStackTrace()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### createThrowResult

          public static Result createThrowResult(java.lang.Throwable throwable)

    - #### createReturnResult

          public static Result createReturnResult(java.lang.Object value)

    - #### createDelegatingResult

          public static Result createDelegatingResult(java.lang.Object value)

    - #### createAnswerResult

          public static Result createAnswerResult(IAnswer<?> answer)

    - #### answer

          public java.lang.Object answer()
                                  throws java.lang.Throwable

      Description copied from interface: `IAnswer`
      Is called by EasyMock to answer an expected call. The answer may be to return a value, or to throw an exception. The arguments of the call for which the answer is generated are available via `EasyMock.getCurrentArguments()` - be careful here, using the arguments is not refactoring-safe.
      Specified by:
        `answer` in interface `IAnswer<java.lang.Object>`
      Returns:
        the value to be returned
      Throws:
        `java.lang.Throwable` - the throwable to be thrown

    - #### shouldFillInStackTrace

          public boolean shouldFillInStackTrace()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`